/***************************************************************************
                          dms.h  -  K Desktop Planetarium
                             -------------------
    begin                : Sun Feb 11 2001
    copyright            : (C) 2001 by Jason Harris
    email                : jharris@30doradus.org
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/




#ifndef DMS_H
#define DMS_H

#include <math.h>

class SkyPoint;

/**
  *@author Jason Harris
  */

class dms {
public: 
	dms() { Deg = 0; Min = 0; Sec = 0; D = 0.0; }
  dms( int d, int m, int s );
  dms( double x );
	~dms() {};

  int getDeg() const { return Deg; }
  int getMin() const { return Min; }
  int getSec() const { return Sec; }
  double getD() const { return D; }
  void setDeg( int d ) { setD( d, Min, Sec ); }
  void setMin( int m ) { setD( Deg, m, Sec ); }
  void setSec( int s ) { setD( Deg, Min, s ); }
  void setD( double x );
  void setD( int d, int m, int s );
  void set( dms &d ) { setD( d.getD() ); }
  dms operator+ ( dms & );
  dms operator- ( dms & );
  dms operator= ( dms &a ) { return dms( a.getD() ); }
  dms operator= ( const double &d ) { return dms( d ); }
private:
  int Deg, Min, Sec;
  double D;
};

double PI();
void SinCos(double a, double &s, double &c);
double HourToDeg(double h);
double DegToHour(double d);
double DegToRad(double d);
double RadToDeg(double r);
double HourToRad(double h);
double RadToHour(double r);
void dXdYToRaDec( double dx, double dy, SkyPoint focus, bool useAltAz, double LSTh, double lat, double &RA, double &Dec );
void precess( double RA_in, double Dec_in, double &RA, double &Dec, double JD_new, double JD0=2451545.0 );
void nutate( double JD, double &dEcLong, double &dObliq );
#endif
