/***************************************************************************
                          geolocation.h  -  K Desktop Planetarium
                             -------------------
    begin                : Sun Feb 11 2001
    copyright            : (C) 2001 by Jason Harris
    email                : jharris@30doradus.org
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/




#ifndef GEOLOCATION_H
#define GEOLOCATION_H

#include <qstring.h>

/**
  *@author Jason Harris
  */

class GeoLocation {
public: 
	GeoLocation();
	~GeoLocation() {};
	GeoLocation( const GeoLocation &g );
	GeoLocation( float lng, float lat, const char *name, const char *state, int TZ=0 );

	double lng() { return Longitude; }
	double lat()  { return Latitude; }
	const char *name() { return Name.latin1(); }
	const char *state() { return State.latin1(); }
	int   TZ()    { return TimeZone; }

	void setLong( float l ) { Longitude = l; }
	void setLat(  float l ) { Latitude  = l; }
	void setName( const char *n ) { Name = n; }
	void setState( const char *s ) { State = s; }
	void setTZ( int tz ) { TimeZone = tz; }
	void reset( GeoLocation *g );		
private:
	double Longitude, Latitude;
	QString Name;
	QString State;
	int TimeZone;
};

#endif
