/***************************************************************************
                          hms.cpp  -  K Desktop Planetarium
                             -------------------
    begin                : Sun Feb 11 2001
    copyright            : (C) 2001 by Jason Harris
    email                : jharris@30doradus.org
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/



#include <stdlib.h>
#include "hms.h"

hms::hms(int h, int m, int s)
{
	while (h<0) {h+=24;}
  while (h>=24) {h-=24;}

  Hour = h; Min = m; Sec = s;
  D = (double)h + ((double)m + (double)s/60.)/60.;
}

hms::hms(double x)
{
  while (x<0.0) {x+=24.0;}
  while (x>24.0) {x-=24.0;}

  D = x;
  Hour = int(x);
  Min = int(60.0*(x-Hour));
  Sec = int(60.0*(60.0*(x-Hour)-Min));
}

hms::~hms(){
}

 void hms::setD(double x)
{
  while (x<0.0) { x+=24.0; }
  while (x>24.0) {x-=24.0;}

  D = x;
  Hour = int(x);
  Min = int(60.0*(x-Hour));
  Sec = int(60.0*(60.0*(x-Hour)-Min));
}

void hms::setD(int h, int m, int s)
{
  while (h<0) {h+=24;}
  while (h>24) {h-=24;}

  Hour = h; Min = m; Sec = s;
  D = (double)h + ((double)m + (double)s/60.)/60.;
}


hms hms::operator+ (hms &angle)
{
  int h(0),m(0),s(0);

  s = Sec + angle.getSec();
  while (s >= 60)
  {
  	s -= 60;
    m++;
  }

  m += Min + angle.getMin();
  while (m >= 60)
  {
    m -= 60;
    h++;
  }

  h += Hour + angle.getHour();
  while (h >=24) { h -= 24; }

  return hms(h,m,s);
}

hms hms::operator- (hms &angle)
{
  int h(0),m(0),s(0);

  s = Sec - angle.getSec();
  while (s < 0)
  {
  	s += 60;
    m--;
  }

  m += Min - angle.getMin();
  while (m < 0)
  {
    m += 60;
    h--;
  }

  h += Hour - angle.getHour();
  while (h < 0) { h += 24; }

  return hms(h,m,s);
}

