/***************************************************************************
                          locationdialog.h  -  K Desktop Planetarium
                             -------------------
    begin                : Sun Feb 11 2001
    copyright            : (C) 2001 by Jason Harris
    email                : jharris@30doradus.org
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/




#ifndef LOCATIONDIALOG_H
#define LOCATIONDIALOG_H


/**
  *@author Jason Harris
  */
#include <kdialogbase.h>
#include <qarray.h>

#include "mapcanvas.h"

class QVBoxLayout;
class QHBoxLayout;
class QGridLayout;
class QGroupBox;
class QLabel;
class QLineEdit;
class QListBox;
class QListBoxItem;
class QPushButton;


class LocationDialog : public KDialogBase {
	Q_OBJECT

public: 
	LocationDialog( QWidget* parent = 0 );
	~LocationDialog();

	QGridLayout *glay, *glay2;
	QHBoxLayout *hlay, *hlay2;
	QVBoxLayout *RootLay, *CityLay, *CoordLay, *vlay;
	QGroupBox *CityBox, *CoordBox;
  QLabel* TextLabel1_2;
  QLabel* TextLabel1;
  QLabel* TextLabel2;
	QLabel *NewCityLabel, *NewStateLabel, *LongLabel, *LatLabel;
	QLineEdit *NewCityName, *NewStateName, *NewLong, *NewLat;
  QLineEdit* CityFilter;
  QLineEdit* StateFilter;
  QListBox* GeoBox;
	QPushButton *AddCityButton;
	MapCanvas *MapView;
  QArray<int> GeoID;

  void initCityList( void );
  int getCityIndex( void );
  int newCity;

public slots:
  void filterCity( void );
	void changeCity( void );
	void addCity( void );
		
protected:
  bool event( QEvent* );

};

#endif
