/***************************************************************************
                          skyobject.h  -  K Desktop Planetarium
                             -------------------
    begin                : Sun Feb 11 2001
    copyright            : (C) 2001 by Jason Harris
    email                : jharris@30doradus.org
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/




#ifndef SKYOBJECT_H
#define SKYOBJECT_H

#include <qstring.h>
#include "hms.h"
#include "dms.h"

/**
  *@author Jason Harris
  */

class SkyObject {
public: 
	SkyObject();
  SkyObject( const SkyObject &o );
  SkyObject( int t, hms r, dms d, float m, QString n="unnamed",
  					 QString n2="", QString lname="", QString hurl="" );	
	~SkyObject() {};

  void set( double xp, double yp ) {RA.setD( xp ); Dec.setD( yp );}
  void set( hms r, dms d ) {RA.set( r ); Dec.set( d );}
  void setRA( double r ) {RA.setD( r );}
  void setRA( hms r ) {RA.set( r );}
  void setDec( double d ) {Dec.setD( d );}
  void setDec( dms d ) { Dec.set( d );}
	void setAlt( double alt ) { Alt.setD( alt ); }
	void setAz( double az ) { Az.setD( az ); }
	double getRA( void ) const { return RA.getD(); }
  double getDec( void ) const { return Dec.getD(); }
	double getAz() { return Az.getD(); }
	double getAlt() { return Alt.getD(); }
	void RADecToAltAz( double HourAngle, double lat );
	void AltAzToRADec( double HourAngle, double lat );

  int type;
  hms RA;
  dms Dec;
	dms Alt, Az;
  float mag;
  QString name;
  QString name2;
  QString longname;
	QString hstURL;
};

#endif
