/***************************************************************************
                          timedialog.h  -  K Desktop Planetarium
                             -------------------
    begin                : Sun Feb 11 2001
    copyright            : (C) 2001 by Jason Harris
    email                : jharris@30doradus.org
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

/**
  *@author Jason Harris
  */


#ifndef TIMEDIALOG_H
#define TIMEDIALOG_H

#include <kdialogbase.h>
#include <kdatepik.h>
#include <qcombobox.h>
#include <qlabel.h>
#include <qpushbutton.h>
#include <qspinbox.h>
#include <qlayout.h>
#include <qvariant.h>
#include <qtooltip.h>
#include <qwhatsthis.h>

class QVBoxLayout;
class QHBoxLayout;
class QComboBox;
class QLabel;
class QPushButton;
class QSpinBox;


class TimeDialog : public KDialogBase {
  Q_OBJECT
public:
	TimeDialog( QWidget* parent = 0 );
	~TimeDialog();

	QHBoxLayout *hlay;
	QVBoxLayout *vlay;
	KDatePicker *dPicker;
  QSpinBox* HourBox;
  QLabel* TextLabel1;
  QSpinBox* MinuteBox;
  QLabel* TextLabel1_2;
  QSpinBox* SecondBox;
  QPushButton* NowButton;

public slots:
  void setNow( void );
	void HourPrefix( int value );   // it would be nice if I could use one slot for these three widgets;
	void MinutePrefix( int value ); // my understanding is that the slot has no knowledge of which
	void SecondPrefix( int value ); // widget sent the signal...

protected:
  bool event( QEvent* );
};

#endif
