/***************************************************************************
                          viewopsdialog.h  -  K Desktop Planetarium
                             -------------------
    begin                : Sat Apr 28 2001
    copyright            : (C) 2001 by Jason Harris
    email                : jharris@30doradus.org
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/




#ifndef VIEWOPSDIALOG_H
#define VIEWOPSDIALOG_H

#include <kdialogbase.h>

class QHBoxLayout;
class QVBoxLayout;
class QGridLayout;
class QGroupBox;
class QButtonGroup;
class QRadioButton;
class QTabWidget;
class QWidget;
class QCheckBox;
class QFrame;
class QPushButton;
class QColor;

/**
  *@author Jason Harris
  */

class ViewOpsDialog : public KDialogBase  {
  Q_OBJECT
public:
	ViewOpsDialog( QWidget *parent = 0 );
	~ViewOpsDialog();

	QHBoxLayout *hlay, *ColorButtonsLayout;
	QVBoxLayout *vlay1, *vlay2, *vlay3, *ColorBoxLayout, *DisplayBoxLayout;
	QGridLayout *ColorPaletteLayout;

  QGroupBox  *DisplayBox;
  QGroupBox  *ColorBox;

  QTabWidget *DisplayTabs;
  QWidget    *CatalogTab;
  QWidget    *GuideTab;
  QWidget    *PlanetTab;
	
	QCheckBox *showBSC;
	QCheckBox *showMessier;
	QCheckBox *showNGC;
	QCheckBox *showIC;

	QCheckBox *showConstellLines;
	QCheckBox *showConstellNames;
	QCheckBox *showEquator;
	QCheckBox *showEcliptic;
	QCheckBox *showHorizon;
	QCheckBox *showGround;

	QCheckBox *showSun;
	QCheckBox *showMoon;

	QPushButton *ChangeCSky;
	QPushButton *ChangeCStar;
	QPushButton *ChangeCMess;
	QPushButton *ChangeCNGC;
	QPushButton *ChangeCIC;
	QPushButton *ChangeCEquator;
	QPushButton *ChangeCHorizon;
	QPushButton *ChangeCConstLine;
	QPushButton *ChangeCConstText;
	QPushButton *ChangeCHST;

	QPushButton *NightColors;
	QPushButton *ResetColors;

	QButtonGroup *CoordsGroup;
	QRadioButton *EquatRadio;
	QRadioButton *AltAzRadio;

	QFrame *ShowCSky;
	QFrame *ShowCStar;
	QFrame *ShowCMess;
	QFrame *ShowCNGC;
	QFrame *ShowCIC;
	QFrame *ShowCEquator;
	QFrame *ShowCHorizon;
	QFrame *ShowCConstLine;
	QFrame *ShowCConstText;
	QFrame *ShowCHST;

public slots:
	void newSkyColor( void );
	void newStarColor( void );
	void newMessColor( void );
	void newNGCColor( void );
	void newICColor( void );
	void newEqColor( void );
	void newHorzColor( void );
	void newCLineColor( void );
	void newCNameColor( void );
	void newHSTColor( void );
	void redColors( void );
	void defaultColors( void );
	void updateDisplay( void );
	void changeCoordSys( void );
};

#endif
